%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Gtk2
%define modv   1.223
%define modp   %(echo %{modn} | cut -d'-' -f1)
%define gtkv   %(rpm -q gtk2-devel --qf '%{VERSION}')


Summary:       A Perl interface to the Gimp Toolkit library
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       LGPL
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Torsten Schoenfeld <tsch@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Cairo) >= 1.000
Requires:      gtk2 = %{gtkv}
BuildRequires: perl >= 5.8
BuildRequires: perl(Cairo) >= 1.000
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::Depends) >= 0.300
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Glib) >= 1.220
BuildRequires: perl(Pango) >= 1.220
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: gtk2-devel urw-fonts


%description
This module provides perl bindings to the 2.x series of the Gtk+ widget
set. It allows you to write graphical user interfaces in a Perlish and
object-oriented way, freeing you from the casting and memory management
in C, yet remaining very close in spirit to original API.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
[ -n "${DISPLAY}" ] && %{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog* LICENSE MAINTAINERS NEWS
%doc README TODO
%{perl_vendorarch}/auto/%{modn}
%{perl_vendorarch}/%{modn}
%{perl_vendorarch}/%{modn}.pm
%{_mandir}/man3/*.3*


%changelog
* Wed Apr 06 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.223-1
- New version (1.223)

* Mon Aug 23 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.222-1
- New version (1.222)

* Sun Mar 15 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.203-1
- New version (1.203)

* Sun Feb 08 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.202-1
- New version (1.202)

* Wed May 28 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.182-1
- Initial build
